<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2010 Coppermine Dev Team
  v1.0 originally written by Gregory Demar

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 3
  as published by the Free Software Foundation.
  
  ********************************************
  Coppermine version: 1.4.28
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/trunk/cpg1.4.x/faq.php $
  $Revision: 7613 $
  $Author: gaugau $
  $Date: 2010-06-03 10:30:19 +0200 (Do, 03 Jun 2010) $
**********************************************/

define('IN_COPPERMINE', true);
define('FAQ_PHP', true);
global $CONFIG;

require('include/init.inc.php');

$lang_faq_php = array(
  'faq' => 'Frequently Asked Questions',
  'toc' => 'Table of contents',
  'question' => 'Question: ',
  'answer' => 'Answer: ',
);

$lang_faq_data = array(
  'Registration and Site Features',
  array('Do I need to register?', 'Registration is not required to view and download files here, but you will need to register if you would like to leave comments or mark items as favorites.', 'allow_user_registration', '1'),
  array('How do I register?', 'Go to &quot;Register&quot; and fill out the required fields (and the optional ones if you want to).<br />After submitting your information you should recieve an email message at the address that you registered with, giving you instructions on how to activate your membership. Your membership must be activated in order for you to login.', 'allow_user_registration', '1'), //cpg1.4
  array('How do I login?', 'Go to &quot;Login&quot; and enter your username and password. Optionally, you can check &quot;Remember Me&quot; so you will be logged in on the site if you should leave it.<br /><b>IMPORTANT:Cookies must be enabled and the cookie from this site must not be deleted in order to use &quot;Remember Me&quot;.</b>', 'offline', 0),
  array('Why can I not login?', 'Did you register and click the link that was sent to you via email?. The link will activate your account. For other login problems contact the site administrator.', 'offline', 0),
  array('What if I forgot my password?', 'On the login page, there is a link for retrieving lost passwords. You can also have a new activation code sent to you in case you missed your original activation email. If you still need help logging in, contact the site administrator.', 'offline', 0),
  array('What if I changed my email address?', 'Simply login and change your email address through &quot;Profile&quot;', 'offline', 0),
  array('How do I save an item to &quot;My Favorites&quot;?', 'Click on a picture and click on the &quot;picture info&quot; link (<img src="images/info.gif" width="16" height="16" border="0" alt="Picture information" />); scroll down to the picture information set and click &quot;Add to fav&quot;.<br />IMPORTANT:Cookies must be enabled and the cookie from this site must not be deleted.', 'offline', 0),
  array('How do I rate a file?', 'Click on a thumbnail and underneath it, click the number of stars you think it deserves.', 'offline', 0),
  array('How do I post a comment for a picture?', 'Click on a thumbnail and go to the bottom and post a comment.', 'offline', 0),
  
 'Navigating the Site',
  array('What\'s &quot;Album List&quot;?', 'This will show you the entire category you are currently in, with a link to each album. If you are not in a category, it will show you the entire gallery with a link to each category. Thumbnails may be a link to the category.', 'offline', 0),
  array('What\'s &quot;Last Uploads&quot;?', 'This feature shows the most recent uploads to the site.', 'offline', 0),
  array('What\'s &quot;Last Comments&quot;?', 'This feature shows the most recent comments on items on the site.', 'offline', 0),
  array('What\'s &quot;Most Viewed&quot;?', 'This feature shows the most viewed files by all users (whether logged in or not).', 'offline', 0),
  array('What\'s &quot;Top Rated&quot;?', 'This feature shows the top rated files rated by the users, showing the average rating (e.g: five users each gave a <img src="images/rating3.gif" width="65" height="14" border="0" alt="" />: the file would have an average rating of <img src="images/rating3.gif" width="65" height="14" border="0" alt="" /> ;Five users rated the file from 1 to 5 (1,2,3,4,5) would result in an average <img src="images/rating3.gif" width="65" height="14" border="0" alt="" /> .)<br />The ratings go from <img src="images/rating5.gif" width="65" height="14" border="0" alt="best" /> (best) to <img src="images/rating0.gif" width="65" height="14" border="0" alt="worst" /> (worst).', 'offline', 0),
  array('What\'s &quot;My Favorites&quot;?', 'This feature will let a registered user store a favorite file in the cookie that was sent to your computer.', 'offline', 0),

  'Downloading Files and using them in Pocket Frogs',
  array('How do I download a file?', 'Just click on the thumbnail image, and the zip or rar file will download for you.', 'offline', 0),
  array('How do I add my custom item into Pocket Frogs?', 'Please see PocketFrogPrince\'s tutorial <a href="http://www.youtube.com/watch?v=ZdH6XT3GPHw">here</a>.', 'offline', 0),
  array('My custom content still doesn\'t work! Help!', 'Please go to the <a href="http://www.facebook.com/CustomFrogsCollective">Custom Frogs Collective Facebook page</a> and post your question. Give as much detail as you can - what you were trying to add, what your device is, etc.', 'offline', 0),
);

$lang_faq_data_contributors_administrators = array(
  'Contributor FAQ',
  array('How do I upload a file?', 'Go to &quot;Upload&quot;and select the album that you want to upload to. Click &quot;Browse,&quot; find the zip or rar file to upload, and click &quot;open.&quot; Add a title and description if you want. Once uploaded, look for the Custom Thumbnail button under the default thumbnail. Click on that to upload your custom thumbnail, which may be up to 300px on the largest side. ', 'allow_private_albums', 1), //cpg1.4
  array('Where do I upload a picture to?', 'The site administrator will create an album for you in whichever category you need one in.', 'allow_private_albums', 0),
  array('What type and size of a file can I upload?', 'Files should be in either zip or rar format, and be no greater than 10mb. Thumbnail images can be png, jpg or gif with a max aspect of 300px.', 'offline', 0),
);

if ($USER_DATA['group_name'] == 'Contributors' || $USER_DATA['group_name'] == 'Administrators') {
    $lang_faq_data = array_merge($lang_faq_data, $lang_faq_data_contributors_administrators);
}

// build the ouput
$faqHeading = '';
$faqContent = '';
$anchorName = '';

foreach($lang_faq_data as $element) {
  if ((is_array($element))) {
     if ($CONFIG[$element[2]] == $element[3]) {
       $anchorName = createAnchorName($element[0]);
       $faqHeading .= '<ul style="margin-top:0px;margin-bottom:0px"><li><a href="#'.$anchorName.'">'.$element[0].'</a></li></ul>';
       $faqContent .= '<tr><td class="tablef"><i>'.$lang_faq_php['question'].'</i><a name="'.$anchorName.'"></a><b>'.$element[0].'</b></td></tr><tr><td class="tableb"><i>'.$lang_faq_php['answer'].'</i>'.$element[1].'<br />&nbsp;<br />&nbsp;<br /></td></tr>';
     }
  }
  else {
      $anchorName = createAnchorName($element);
      $faqHeading .=  '<h2><a href="#'.$anchorName.'">'.$element.'</a></h2>';
      $faqContent .=  '<tr><td class="tableh1"><a name="'.$anchorName.'"></a><h2>'.$element.'</h2></td></tr>';
  }
}
$faqHeading .= '';

//print $faqHeading;
//print '<hr>';
//print $faqContent;




pageheader($lang_faq_php['faq']);
print '<h1>'.$lang_faq_php['faq'].'</h1>';

starttable('100%',$lang_faq_php['toc']);
print '<tr>';
print '<td class="tableb">';
print $faqHeading;
print '</td>';
print '</tr>';
endtable();

print '<br />&nbsp;<br />';

starttable('100%');
print $faqContent;
endtable();
print '<br />&nbsp;<br />&nbsp;<br />&nbsp;<br />&nbsp;<br />&nbsp;<br />&nbsp;<br />&nbsp;<br />&nbsp;<br />';
pagefooter();

ob_end_flush();

function createAnchorName($anchor)
{
$anchor = trim(str_replace(' ','_',str_replace('?','',$anchor)));
return $anchor;
}



?>
